Name:           astromenace
Version:        1.4.1
Release:        %mkrel 1
Summary:        Hardcore 3D space shooter with spaceship upgrade possibilities
Group:          Games/Arcade
License:        GPLv3+ and CC BY-SA 3.0
URL:            http://www.viewizard.com/

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: lib64freealut-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64sdl2.0-devel
BuildRequires: lib64vorbis0-devel
BuildRequires: lib64xinerama-devel

%description
Space is a vast area, an unbounded territory where it seems there is a
room for everybody, but reversal of fortune put things differently. The
hordes of hostile creatures crawled out from the dark corners of the
universe, craving to conquer your homeland. Their force is compelling,
their legions are interminable. However, humans didn't give up without
a final showdown and put their best pilot to fight back. These malicious
invaders chose the wrong galaxy to conquer and you are to prove it!
Go ahead and make alien aggressors regret their insolence.

%prep
pushd %_sourcedir
wget -nc https://github.com/viewizard/astromenace/archive/v%{version}/%{name}-%{version}.tar.gz
tar -xvf %{name}-%{version}.tar.gz -C %_builddir
popd

%build
pushd %_builddir/%{name}-%{version}

%cmake -DDATADIR=%{_gamesdatadir}/%{name}
%make_build

./astromenace --pack --rawdata=../gamedata --dir=.
popd

%install
pushd %_builddir/%{name}-%{version}
install -D -m755 build/astromenace %{buildroot}%{_gamesbindir}/%{name}
install -D -m644 build/gamedata.vfs %{buildroot}%{_gamesdatadir}/%{name}/gamedata.vfs
install -D -m644 share/astromenace.appdata.xml %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

for size in 64 128; do
  install -D -m644 share/%{name}_${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Astromenace
Comment=3D space shooter
Exec=%{name}
Icon=%{name}
Type=Application
StartupNotify=false
Terminal=false
Categories=Game;Shooter;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF
popd


%files
%{_datadir}/applications/%{name}.desktop
%{_datadir}/*/%{name}.appdata.xml
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png

%changelog
* Wed May 01 2019 tex - 1.4.1-1pclos2019
- Version 1.4.1
